diff --git a/doc/src/sgml/release-old.sgml b/doc/src/sgml/release-old.sgml
index d55209d85b..5f0d04f5b1 100644
--- a/doc/src/sgml/release-old.sgml
+++ b/doc/src/sgml/release-old.sgml
@@ -2579,9 +2581,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>PAM authentication (Dominic J. Eidson)</para></listitem>
 <listitem><para>Load pg_hba.conf and pg_ident.conf only on startup and SIGHUP (Bruce)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Server Configuration</title>
 <itemizedlist>
 <listitem><para>Interpretation of some time zone abbreviations as Australian rather than North American now settable at run time (Bruce)</para></listitem>
@@ -2591,9 +2593,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>New parameter to set client authentication timeout (Tom)</para></listitem>
 <listitem><para>New parameter to set maximum number of open files (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Queries</title>
 <itemizedlist>
 <listitem><para>Statements added by INSERT rules now execute after the INSERT (Jan)</para></listitem>
@@ -2606,9 +2608,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix for LIMIT, DISTINCT ON pushed into subqueries (Tom)</para></listitem>
 <listitem><para>Fix nested EXCEPT/INTERSECT (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Schema Manipulation</title>
 <itemizedlist>
 <listitem><para>Fix SERIAL in temporary tables (Bruce)</para></listitem>
@@ -2629,9 +2631,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Allow GiST indexes to handle NULLs and multikey indexes (Oleg Bartunov, Teodor Sigaev, Tom)</para></listitem>
 <listitem><para>Enable partial indexes (Martijn van Oosterhout)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Utility Commands</title>
 <itemizedlist>
 <listitem><para>Add RESET ALL, SHOW ALL (Marko Kreen)</para></listitem>
@@ -2645,9 +2647,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Fix privilege checks for CREATE INDEX (Tom)</para></listitem>
 <listitem><para>Disallow inappropriate use of CREATE/DROP INDEX/TRIGGER/VIEW (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Data Types and Functions</title>
 <itemizedlist>
 <listitem><para>SUM(), AVG(), COUNT() now uses int8 internally for speed (Tom)</para></listitem>
@@ -2688,9 +2690,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Some datatype() function calls now evaluated differently</para></listitem>
 <listitem><para>Add support for Julian and ISO time specifications (Thomas)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Internationalization</title>
 <itemizedlist>
 <listitem><para>National language support in psql, <application>pg_dump</application>, libpq, and server (Peter E)</para></listitem>
@@ -2702,9 +2704,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Make mic2ascii() non-ASCII aware (Tatsuo)</para></listitem>
 <listitem><para>Reject invalid multibyte character sequences (Tatsuo)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title><application>PL/pgSQL</application></title>
 <itemizedlist>
 <listitem><para>Now uses portals for SELECT loops, allowing huge result sets (Jan)</para></listitem>
@@ -2719,32 +2721,32 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Memory leak fix (Jan, Tom)</para></listitem>
 <listitem><para>Make trailing semicolon optional (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>PL/Perl</title>
 <itemizedlist>
 <listitem><para>New untrusted PL/Perl (Alex Pilosov)</para></listitem>
 <listitem><para>PL/Perl is now built on some platforms even if libperl is not shared (Peter E)</para></listitem>
 </itemizedlist>
-   </sect3>
+   </section>
 
-  <sect3>
+  <section>
    <title>PL/Tcl</title>
 <itemizedlist>
 <listitem><para>Now reports errorInfo (Vsevolod Lobko)</para></listitem>
 <listitem><para>Add spi_lastoid function (bob@redivi.com)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>PL/Python</title>
 <itemizedlist>
 <listitem><para>...is new (Andrew Bosma)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title><application>psql</application></title>
 <itemizedlist>
 <listitem><para>\d displays indexes in unique, primary groupings (Christopher Kings-Lynne)</para></listitem>
@@ -2753,17 +2755,17 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Force new password prompt when changing user and database (Tatsuo, Tom)</para></listitem>
 <listitem><para>Format the correct number of columns for Unicode (Patrice)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title><application>libpq</application></title>
 <itemizedlist>
 <listitem><para>New function PQescapeString() to escape quotes in command strings (Florian Weimer)</para></listitem>
 <listitem><para>New function PQescapeBytea() escapes binary strings for use as SQL string literals</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>JDBC</title>
 <itemizedlist>
 <listitem><para>Return OID of INSERT (Ken K)</para></listitem>
@@ -2799,9 +2801,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>MD5 password encryption support (Jeremy Wohl)</para></listitem>
 <listitem><para>Fix to actually use type cache (Ned Wolpert)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>ODBC</title>
 <itemizedlist>
 <listitem><para>Remove query size limit (Hiroshi)</para></listitem>
@@ -2815,9 +2817,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>MD5 password encryption support (Bruce)</para></listitem>
 <listitem><para>Add more compatibility functions to odbc.sql (Peter E)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title><application>ECPG</application></title>
 <itemizedlist>
 <listitem><para>EXECUTE ... INTO implemented (Christof Petig)</para></listitem>
@@ -2831,9 +2833,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>All function names with external linkage are now prefixed by ECPG</para></listitem>
 <listitem><para>Fixes for arrays of structures (Michael)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Misc. Interfaces</title>
 <itemizedlist>
 <listitem><para>Python fix fetchone() (Gerhard Haring)</para></listitem>
@@ -2842,9 +2844,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Prevent output of default index op class in <application>pg_dump</application> (Tom)</para></listitem>
 <listitem><para>Fix libpgeasy memory leak (Bruce)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Build and Install</title>
 <itemizedlist>
 <listitem><para>Configure, dynamic loader, and shared library fixes (Peter E)</para></listitem>
@@ -2860,9 +2862,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Rename config.h to pg_config.h (Peter E)</para></listitem>
 <listitem><para>Reorganize installation layout of header files (Peter E)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Source Code</title>
 <itemizedlist>
 <listitem><para>Remove SEP_CHAR (Bruce)</para></listitem>
@@ -2877,9 +2879,9 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>Add 'volatile' usage in spinlock structures</para></listitem>
 <listitem><para>Improve signal handling logic (Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
+  </section>
 
-  <sect3>
+  <section>
    <title>Contrib</title>
 <itemizedlist>
 <listitem><para>New contrib/rtree_gist (Oleg Bartunov, Teodor Sigaev)</para></listitem>
@@ -2893,12 +2895,12 @@ since <productname>PostgreSQL</productname> 7.1.
 <listitem><para>New pg_upgrade utility (Bruce)</para></listitem>
 <listitem><para>Add new pg_resetxlog options (Bruce, Tom)</para></listitem>
 </itemizedlist>
-  </sect3>
- </sect2>
-</sect1>
+  </section>
+ </section>
+</section>
 
 
- <sect1 id="release-7-1-3">
+ <section id="release-7-1-3">
   <title>Release 7.1.3</title>
 
   <formalpara>
@@ -2906,16 +2908,16 @@ since <productname>PostgreSQL</productname> 7.1.
   <para>2001-08-15</para>
   </formalpara>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.1.3</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.1.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -2932,11 +2934,11 @@ Disable COPY TO/FROM a view (Tom)
 Cygwin build (Jason Tishler)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-1-2">
+ <section id="release-7-1-2">
   <title>Release 7.1.2</title>
 
   <formalpara>
@@ -2949,16 +2951,16 @@ Cygwin build (Jason Tishler)
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.1.2</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.1.X.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -2970,11 +2972,11 @@ Optimizer fixes
 pg_dump cleanups
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-1-1">
+ <section id="release-7-1-1">
   <title>Release 7.1.1</title>
 
   <formalpara>
@@ -2987,16 +2989,16 @@ pg_dump cleanups
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.1.1</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.1.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3017,11 +3019,11 @@ EXTRACT can now take string argument (Thomas)
 Python fixes (Darcy)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-1">
+ <section id="release-7-1">
   <title>Release 7.1</title>
 
   <formalpara>
@@ -3114,16 +3116,16 @@ Subqueries in FROM are now supported.
 
   </variablelist>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.1</title>
 
    <para>
        A dump/restore using pg_dump is required for those wishing to migrate
        data from any previous release.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3315,11 +3317,11 @@ New contrib/pg_control utility (Oliver)
 New FreeBSD tools ipc_check, start-scripts/freebsd
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-0-3">
+ <section id="release-7-0-3">
   <title>Release 7.0.3</title>
 
   <formalpara>
@@ -3332,16 +3334,16 @@ New FreeBSD tools ipc_check, start-scripts/freebsd
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.0.3</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.0.*.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3387,11 +3389,11 @@ Fix for inserting/copying longer multibyte strings into char() data
 Fix for crash of backend, on abort (Tom)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-0-2">
+ <section id="release-7-0-2">
   <title>Release 7.0.2</title>
 
   <formalpara>
@@ -3404,16 +3406,16 @@ Fix for crash of backend, on abort (Tom)
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.0.2</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.*.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3421,11 +3423,11 @@ Fix for crash of backend, on abort (Tom)
 Added documentation to tarball.
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-7-0-1">
+ <section id="release-7-0-1">
   <title>Release 7.0.1</title>
 
   <formalpara>
@@ -3437,16 +3439,16 @@ Added documentation to tarball.
    This is a cleanup release for 7.0.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.0.1</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     7.0.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3477,10 +3479,10 @@ JDBC ResultSet.getTimestamp() fix (Gregory Krasnow &amp; Floyd Marinescu)
 ecpg changes (Michael)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-7-0">
+ <section id="release-7-0">
   <title>Release 7.0</title>
 
   <formalpara>
@@ -3557,7 +3559,7 @@ ecpg changes (Michael)
    </varlistentry>
   </variablelist>
 
-  <sect2>
+  <section>
    <title>Migration to Version 7.0</title>
 
    <para>
@@ -3620,9 +3622,9 @@ ecpg changes (Michael)
      </para>
     </listitem>
    </itemizedlist>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3946,10 +3948,10 @@ Fixes for Alpha compiles
 New multibyte encodings
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-6-5-3">
+ <section id="release-6-5-3">
   <title>Release 6.5.3</title>
 
   <formalpara>
@@ -3963,15 +3965,15 @@ New multibyte encodings
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 6.5.3</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     6.5.*.
    </para>
-  </sect2>
-  <sect2>
+  </section>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -3981,11 +3983,11 @@ NT-specific patch
 Fix dumping rules on inherited tables
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
- <sect1 id="release-6-5-2">
+ <section id="release-6-5-2">
   <title>Release 6.5.2</title>
 
   <formalpara>
@@ -3999,16 +4001,16 @@ Fix dumping rules on inherited tables
   </para>
 
 
-  <sect2>
+  <section>
    <title>Migration to Version 6.5.2</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     6.5.*.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -4039,10 +4041,10 @@ Repair incorrect cleanup of heap memory allocation during transaction abort(Tom)
 Updated version of pgaccess 0.98
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-6-5-1">
+ <section id="release-6-5-1">
   <title>Release 6.5.1</title>
 
   <formalpara>
@@ -4055,16 +4057,16 @@ Updated version of pgaccess 0.98
    problems reported by 6.5 users.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 6.5.1</title>
 
    <para>
     A dump/restore is <emphasis>not</emphasis> required for those running
     6.5.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -4094,10 +4096,10 @@ Fix some compiler warnings (Tomoaki Nishiyama)
 Add Win1250 (Czech) support (Pavel Behal)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-6-5">
+ <section id="release-6-5">
   <title>Release 6.5</title>
 
   <formalpara>
@@ -4254,7 +4256,7 @@ Add Win1250 (Czech) support (Pavel Behal)
    </variablelist>
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 6.5</title>
 
    <para>
@@ -4274,7 +4276,7 @@ Add Win1250 (Czech) support (Pavel Behal)
      behavior you need.</emphasis>
    </para>
 
-   <sect3>
+   <section>
     <title>Multiversion Concurrency Control</title>
 
     <para>
@@ -4322,10 +4324,10 @@ Add Win1250 (Czech) support (Pavel Behal)
      (uncommitted) data (regardless of isolation level) and true referential
      integrity will be implemented.
     </para>
-   </sect3>
-   </sect2>
+   </section>
+   </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -4493,11 +4495,11 @@ Improve file handling to be more uniform, prevent file descriptor leak(Tom)
 New install commands for plpgsql(Jan)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
 
-<sect1 id="release-6-4-2">
+<section id="release-6-4-2">
 <title>Release 6.4.2</title>
 
   <formalpara>
@@ -4511,15 +4513,15 @@ bug fix.
 </para>
 
 
-<sect2>
+<section>
 <title>Migration to Version 6.4.2</title>
 
 <para>
 A dump/restore is <emphasis>not</emphasis> required for those running
 6.4.*.
 </para>
-</sect2>
-<sect2>
+</section>
+<section>
 <title>Changes</title>
 
 <para>
@@ -4527,12 +4529,12 @@ A dump/restore is <emphasis>not</emphasis> required for those running
 Fix for datetime constant problem on some platforms(Thomas)
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
 
 
-<sect1 id="release-6-4-1">
+<section id="release-6-4-1">
 <title>Release 6.4.1</title>
 
   <formalpara>
@@ -4546,15 +4548,15 @@ problems reported by 6.4 users.
 </para>
 
 
-<sect2>
+<section>
 <title>Migration to Version 6.4.1</title>
 
 <para>
 A dump/restore is <emphasis>not</emphasis> required for those running
 6.4.
 </para>
-</sect2>
-<sect2>
+</section>
+<section>
 <title>Changes</title>
 
 <para>
@@ -4591,12 +4593,12 @@ Compilation of libpq for Windows fixes(Magnus)
 Upgrade to PyGreSQL 2.2(D'Arcy)
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
 
 
-<sect1 id="release-6-4">
+<section id="release-6-4">
 <title>Release 6.4</title>
 
   <formalpara>
@@ -4680,7 +4682,7 @@ been.
 </itemizedlist>
 </para>
 
-<sect2>
+<section>
 <title>Migration to Version 6.4</title>
 
 <para>
@@ -4689,9 +4691,9 @@ or <application>pg_dumpall</application>
 is required for those wishing to migrate data from any
 previous release of <productname>PostgreSQL</productname>.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
 <title>Changes</title>
 
    <para>
@@ -4890,10 +4892,10 @@ configure uses supplied install-sh if no install script found(Tom)
 new Makefile.shlib for shared library configuration(Tom)
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-6-3-2">
+<section id="release-6-3-2">
 <title>Release 6.3.2</title>
 
   <formalpara>
@@ -4935,7 +4937,7 @@ For upgrades from pre-6.3 installations,
 refer to the installation and migration instructions for version 6.3.
 </para>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -4960,10 +4962,10 @@ Makefile dependency cleanup(Jeroen van Vianen)
 ASSERT fixes(Bruce)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-6-3-1">
+ <section id="release-6-3-1">
   <title>Release 6.3.1</title>
 
   <formalpara>
@@ -5012,7 +5014,7 @@ For upgrades from pre-6.3 installations,
 refer to the installation and migration instructions for version 6.3.
 </para>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5046,10 +5048,10 @@ Solaris compile fix(Albert Chin-A-Young)
 Better identify tcl and tk libs and includes(Bruce)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-6-3">
+ <section id="release-6-3">
   <title>Release 6.3</title>
 
   <formalpara>
@@ -5176,7 +5178,7 @@ Better identify tcl and tk libs and includes(Bruce)
    are no longer needed.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 6.3</title>
 
    <para>
@@ -5185,9 +5187,9 @@ Better identify tcl and tk libs and includes(Bruce)
     is required for those wishing to migrate data from any
     previous release of <productname>PostgreSQL</productname>.
    </para>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5358,10 +5360,10 @@ Expand a few function names formerly truncated to 16 characters(Thomas)
 Remove un-needed malloc() calls and replace with palloc()(Bruce)
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-6-2-1">
+<section id="release-6-2-1">
 <title>Release 6.2.1</title>
 
   <formalpara>
@@ -5396,7 +5398,7 @@ For upgrades from pre-6.2 systems, a full dump/reload is required.
 Refer to the 6.2 release notes for instructions.
 </para>
 
-<sect2>
+<section>
 <title>Migration from version 6.2 to version 6.2.1</title>
 
 <para>
@@ -5420,9 +5422,9 @@ update pg_aggregate set aggfinalfn = 'cash_div_flt8'
 <para>
 This will need to be done to every existing database, including template1.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5440,10 +5442,10 @@ Documented new libpq function to return affected rows, PQcmdTuples(Bruce)
 Trigger function for inserting user names for INSERT/UPDATE(Brook Milligan)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
-<sect1 id="release-6-2">
+<section id="release-6-2">
 <title>Release 6.2</title>
 
   <formalpara>
@@ -5456,7 +5458,7 @@ A dump/restore is required for those wishing to migrate data from
 previous releases of <productname>PostgreSQL</productname>.
 </para>
 
-<sect2>
+<section>
 <title>Migration from version 6.1 to version 6.2</title>
 
 <para>
@@ -5467,18 +5469,18 @@ restore of the database in 6.2.
 Note that the <command>pg_dump</command> and <command>pg_dumpall</command> utility from 6.2 should be used
 to dump the 6.1 database.
 </para>
-</sect2>
+</section>
 
-<sect2>
+<section>
 <title>Migration from version 1.<replaceable>x</replaceable> to version 6.2</title>
 
 <para>
 Those migrating from earlier 1.* releases should first upgrade to 1.09
 because the COPY output format was improved from the 1.02 release.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5593,10 +5595,10 @@ Files moved to /src/tools directory(Bruce)
 SPI and Trigger programming guides (Vadim &amp; D'Arcy)
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-6-1-1">
+<section id="release-6-1-1">
 <title>Release 6.1.1</title>
 
   <formalpara>
@@ -5604,7 +5606,7 @@ SPI and Trigger programming guides (Vadim &amp; D'Arcy)
   <para>1997-07-22</para>
   </formalpara>
 
-<sect2>
+<section>
 <title>Migration from version 6.1 to version 6.1.1</title>
 
 <para>
@@ -5612,9 +5614,9 @@ This is a minor bug-fix release. A dump/reload is not required from version 6.1,
 but is required from any release prior to 6.1.
 Refer to the release notes for 6.1 for more details.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5638,10 +5640,10 @@ allow underscores in usernames(Bruce)
 pg_dumpall now returns proper status, portability fix(Bruce)
 </programlisting>
    </para>
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
-<sect1 id="release-6-1">
+<section id="release-6-1">
 <title>Release 6.1</title>
 
   <formalpara>
@@ -5696,7 +5698,7 @@ optimizer which uses <firstterm>genetic</firstterm>
  machine (Linux/<application>gcc</application>/i686).
 </para>
 
-<sect2>
+<section>
 <title>Migration to Version 6.1</title>
 
 <para>
@@ -5707,9 +5709,9 @@ restore of the database in 6.1.
 Those migrating from earlier 1.* releases should first upgrade to 1.09
 because the COPY output format was improved from the 1.02 release.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5810,10 +5812,10 @@ warn about buggy flex(Bruce)
 DG/UX, Ultrix, IRIX, AIX portability fixes
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-6-0">
+<section id="release-6-0">
 <title>Release 6.0</title>
 
   <formalpara>
@@ -5826,25 +5828,25 @@ A dump/restore is required for those wishing to migrate data from
 previous releases of <productname>PostgreSQL</productname>.
 </para>
 
-<sect2>
+<section>
 <title>Migration from version 1.09 to version 6.0</title>
 
 <para>
 This migration requires a complete dump of the 1.09 database and a
 restore of the database in 6.0.
 </para>
-</sect2>
+</section>
 
-<sect2>
+<section>
 <title>Migration from pre-1.09 to version 6.0</title>
 
 <para>
 Those migrating from earlier 1.* releases should first upgrade to 1.09
 because the COPY output format was improved from the 1.02 release.
 </para>
-</sect2>
+</section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -5954,10 +5956,10 @@ Restructured port-specific file locations(Bryan, Marc)
 Unused/uninitialized variables corrected
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-1-09">
+<section id="release-1-09">
 <title>Release 1.09</title>
 
   <formalpara>
@@ -5970,9 +5972,9 @@ Sorry, we didn't keep track of changes from 1.02 to 1.09.  Some of
 the changes listed in 6.0 were actually included in the 1.02.1 to 1.09
 releases.
 </para>
-</sect1>
+</section>
 
-<sect1 id="release-1-02">
+<section id="release-1-02">
 <title>Release 1.02</title>
 
   <formalpara>
@@ -5980,7 +5982,7 @@ releases.
   <para>1996-08-01</para>
   </formalpara>
 
-<sect2>
+<section>
 <title>Migration from version 1.02 to version 1.02.1</title>
 
 <para>
@@ -6026,9 +6028,9 @@ not a cause for concern.
 </para>
 </step>
 </procedure>
-</sect2>
+</section>
 
-<sect2>
+<section>
 <title>Dump/Reload Procedure</title>
 
 <para>
@@ -6056,9 +6058,9 @@ create operator ~* (leftarg = varchar, rightarg = text, procedure = texticregexe
 create operator !~* (leftarg = varchar, rightarg = text, procedure = texticregexne);
 </programlisting>
 </para>
-</sect2>
+</section>
 
-<sect2>
+<section>
 <title>Changes</title>
 
 <para>
@@ -6118,10 +6120,10 @@ Contributors (apologies to any missed)
  * Paul "Shag" Walmsley &lt;ccshag@cclabs.missouri.edu&gt;
  * "Alistair G. Crooks" &lt;azcb0@sde.uts.amdahl.com&gt;
 -->
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-1-01">
+<section id="release-1-01">
 <title>Release 1.01</title>
 
    <formalpara>
@@ -6130,7 +6132,7 @@ Contributors (apologies to any missed)
    </formalpara>
 
 
-<sect2>
+<section>
 <title>Migration from version 1.0 to version 1.01</title>
 
 <para>
@@ -6269,9 +6271,9 @@ create operator !~* (leftarg = text, rightarg = text, procedure = texticregexne)
 </para>
 </step>
 </procedure>
-</sect2>
+</section>
 
-<sect2>
+<section>
 <title>Changes</title>
 
 <para>
@@ -6310,10 +6312,10 @@ Bug fixes:
  * applied public patches 1-14
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-1-0">
+<section id="release-1-0">
 <title>Release 1.0</title>
 
    <formalpara>
@@ -6321,7 +6323,7 @@ Bug fixes:
    <para>1995-09-05</para>
    </formalpara>
 
-<sect2>
+<section>
 <title>Changes</title>
 
 <para>
@@ -6367,10 +6369,10 @@ Bug fixes:
    work when you try to use them
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-0-03">
+<section id="release-0-03">
 <title><productname>Postgres95</productname> Release 0.03</title>
 
    <formalpara>
@@ -6378,7 +6380,7 @@ Bug fixes:
    <para>1995-07-21</para>
    </formalpara>
 
-<sect2>
+<section>
 <title>Changes</title>
 <para>
 <programlisting>
@@ -6489,10 +6491,10 @@ New documentation:
  * the user manual has been revised and libpq documentation added.
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-0-02">
+<section id="release-0-02">
 <title><productname>Postgres95</productname> Release 0.02</title>
 
    <formalpara>
@@ -6500,7 +6502,7 @@ New documentation:
    <para>1995-05-25</para>
    </formalpara>
 
-<sect2>
+<section>
 <title>Changes</title>
 
 <para>
@@ -6540,10 +6542,10 @@ The following bugs have been fixed in postgres95-beta-0.02:
  * wrong result using more than 1 aggregate in a SELECT
 </programlisting>
 </para>
-</sect2>
-</sect1>
+</section>
+</section>
 
-<sect1 id="release-0-01">
+<section id="release-0-01">
 <title><productname>Postgres95</productname> Release 0.01</title>
 
    <formalpara>
@@ -6554,4 +6556,5 @@ The following bugs have been fixed in postgres95-beta-0.02:
 <para>
 Initial release.
 </para>
-</sect1>
+</section>
+</section>
